Bug 60349 - RFE: packaging problems in mysql
RFE: packaging problems in mysql
Product: Red Hat Linux
Classification: Retired
Component: mysql (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Macdonald
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-02-26 06:43 EST by Pedro Miguel Marques Morais
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-10 14:55:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pedro Miguel Marques Morais 2002-02-26 06:43:21 EST
Description of Problem:
There are some packaging problems in MySQL:

- /usr/share/mysql/czech and directories like should be language support
  dependent, using the appropriate rpm 
- manual.ps is corrupt, only has a few kilobytes
- the cnf example files on mysql-xxx.rpm should be moved to mysql-server-xxx.rpm
  and marked as doc (moved to /usr/share/doc...)
- /usr/share/mysql/make_binary_distribution should be distributed
- /usr/share/mysql/binary-configure should not be distributed
- /usr/share/mysql/mysql.server should not be distributed

That said, a english-only install of mysql should only contain the following
directories on /usr/share/mysql, and no files:

Adicionally, a split of the huge! manuals to a separate mysql-manual or
mysql-doc rpm would be nice.
Comment 1 Trond Eivind Glomsrxd 2002-04-08 17:48:35 EDT
3.23.49-3 should fix these. No docs have been split out, as there is a package
freeze and you can use "--excludedocs" if you want to anyway.
Comment 2 Pedro Miguel Marques Morais 2002-04-15 06:39:03 EDT
Please mark the docs split as defered; I can't --excludedocs during install.
(however I did post a RFE on anaconda, some time agom to do just that :-)
Comment 3 Pedro Miguel Marques Morais 2002-07-18 07:48:50 EDT
Docs subpackage has not yet been created as of latest public beta.
It should be done before a package freeze.

Comment 4 Patrick Macdonald 2003-06-10 14:55:27 EDT
Just cleaning up some old bugs...

We will not be creating a seperate package for the mysql docs.  We will go 
with the mysql, mysql-server and mysql-devel packages as per the current
Linux distro.

Note You need to log in before you can comment on or make changes to this bug.